<template>
  <nav>
    <!-- start: top navbar items -->
    <div
      class="flex items-center justify-between mx-auto px-16 text-white w-full"
    >
      <!-- start: left menu items -->
      <div class="flex items-center">
        <!-- start: logo -->
        <div class="flex items-center">
          <nuxt-link class="mr-2" to="/">
            <img
              src="~/assets/images/logo.svg"
              alt="KawalCovid19.id"
              title="KawalCovid19.id"
            />
          </nuxt-link>
        </div>
        <!-- end: logo -->

        <!-- start: page links -->
        <nuxt-link
          v-for="(item, key) in menus"
          :key="`menu-${key}`"
          :to="item.to"
          class="p-10"
        >
          <span>{{ item.label }}</span>
        </nuxt-link>
        <!-- end: page links -->
      </div>
      <!-- end: left menu items -->

      <!-- start: right menu items -->
      <div class="flex items-center">
        <!-- start: dark mode toggle -->
        <div class="flex items-center mx-4">
          <span>Mode Warna</span>
          <div class="flex mx-2">
            <button
              class="box-border flex-1 py-1 px-4
                rounded-l-full focus:outline-none"
              :class="!darkMode ? 'bg-data-blue' : 'bg-ui-600'"
              @click="darkMode = false"
            >Terang</button>
            <button
              class="box-border flex-1 py-1 px-4
                rounded-r-full focus:outline-none"
              :class="darkMode ? 'bg-data-blue' : 'bg-ui-600'"
              @click="darkMode = true"
            >Gelap</button>
          </div>
        </div>
        <!-- end: dark mode toggle -->

        <!-- start: search bar -->
        <div class="flex ml-4">
          <input
            type="text"
            placeholder="Cari"
            class="px-2 py-1 rounded-l-sm bg-ui-600"
          />
          <button class="px-2 bg-data-blue rounded-r-sm">
            <img src="~/assets/icons/search.svg" alt="Cari" title="Cari" />
          </button>
        </div>
        <!-- end: search bar -->
      </div>
      <!-- end: right menu items -->
    </div>
    <!-- end: top navbar items -->

    <!-- start: bottom navbar items -->
    <div
      class="flex items-center
        justify-between mx-auto px-16 py-6 bg-data-grey text-white w-full"
    >
      <!-- start: bottom navbar left items -->
      <div>Anda bagian dari Organisasi,Lab, atau UMKM ?</div>
      <!-- end: bottom navbar left items -->

      <!-- start: bottom navbar right items -->
      <div class="flex items-center">
        <!-- start: register button -->
        <nuxt-link to="/register">
          <button
            class="px-8 py-2 mx-2 bg-transparent focus:outline-none"
          >
            Daftar
          </button>
        </nuxt-link>
        <!-- end: register button -->

        <!-- start: login button -->
        <nuxt-link to="/login">
          <button class="px-8 py-2 ml-2 bg-data-blue rounded-sm">Masuk</button>
        </nuxt-link>
        <!-- end: login button -->
      </div>
      <!-- end: bottom navbar right items -->
    </div>
    <!-- end: bottom navbar items -->
  </nav>
</template>

<script>
export default {
  data: () => ({
    menus: [
      {
        label: 'Beranda',
        to: '/',
      },
      {
        label: 'Organisasi',
        to: '/organizations',
      },
      {
        label: 'Tutorial',
        to: '/tutorials',
      },
      {
        label: 'Produk',
        to: '/products',
      },
    ],
    darkMode: true,
  }),
};
</script>

<style lang="postcss" scoped>
nav {
  justify-content: space-evenly;
}
.rounded-1 {
  border-radius: 1px;
}
a.link-active {
  & > span {
    position: relative;

    &::after {
      height: 1.5px;
      width: 100%;
      left: 0;
      bottom: -3px;
      position: absolute;
      content: '';
      background-color: #d8232a;
    }
  }
}
</style>
